use eframe::egui::{Context, Ui};
use eframe::{egui, epi};

pub mod s1_title;
pub mod s2_introduction;
pub mod s3_complexity;
pub mod s4_conway;

pub trait Slide {
    fn show(&mut self, ui: &mut Ui, ctx: &Context);
    /// Returns whether "done."
    /// Repaint automatically requested.
    fn transition(&mut self, ctx: &Context) -> bool {
        true
    }
}
